package com.xunhong.erp.turbo.api.user.exception;


import com.xunhong.erp.turbo.base.exception.BizException;
import com.xunhong.erp.turbo.base.exception.ErrorCode;

/**
 * 文件上传异常
 */
public class UserException extends BizException {

	public UserException(ErrorCode errorCode) {
		super(errorCode);
	}

	public UserException(String message, ErrorCode errorCode) {
		super(message, errorCode);
	}

	public UserException(String message, Throwable cause, ErrorCode errorCode) {
		super(message, cause, errorCode);
	}

	public UserException(Throwable cause, ErrorCode errorCode) {
		super(cause, errorCode);
	}

	public UserException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, ErrorCode errorCode) {
		super(message, cause, enableSuppression, writableStackTrace, errorCode);
	}

}
